import { jsx as e, Fragment as f } from "@emotion/react/jsx-runtime";
import c from "react";
import { UncertaintyFormatter as d } from "../../../formatters/UncertaintyFormatter/UncertaintyFormatter.js";
const p = (t) => {
  const { Component: o = c.Fragment, fieldValue: n, fieldSymbol: i, fieldUnit: l } = t;
  return (m) => {
    const { childRows: r } = m;
    if (r.length === 0)
      return /* @__PURE__ */ e(f, { children: "-" });
    const a = r[0];
    return /* @__PURE__ */ e(
      d,
      {
        obProps: a,
        ...t,
        fieldValue: n.toString(),
        fieldSymbol: i.toString(),
        fieldUnit: l.toString(),
        Component: o
      }
    );
  };
};
export {
  p as ColumnUncertaintyGroupFormatter
};
